// AviSearchingTimeDlg.h : header file
//

#if !defined(AFX_AVISEARCHINGTIMEDLG_H__4B26BDDA_CEBA_44B0_B0FF_86D7B250C993__INCLUDED_)
#define AFX_AVISEARCHINGTIMEDLG_H__4B26BDDA_CEBA_44B0_B0FF_86D7B250C993__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "vfw.h"
#include "ximage.h"
/////////////////////////////////////////////////////////////////////////////
// CAviSearchingTimeDlg dialog

class CAviSearchingTimeDlg : public CDialog
{
// Construction
public:
	void ShowImage(long lNum);
	CAviSearchingTimeDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAviSearchingTimeDlg)
	enum { IDD = IDD_AVISEARCHINGTIME_DIALOG };
	CListBox	m_ListBox;
	CSliderCtrl	m_SliderBar;
	CString	m_strFrameMid;
	CString	m_strFrameMax;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAviSearchingTimeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	byte byBeginFlag;
	void AviInit(CString);
	HICON m_hIcon;
	int m_iSliderPos;

	PAVIFILE m_pAviFile;
	AVIFILEINFO m_pAviFileInfo;
	PAVISTREAM m_pAviStream;
	AVISTREAMINFO m_AviStreamInfo;
	PGETFRAME m_pGetFrame;
	BITMAPINFOHEADER *m_lpBMPInfoHeader;
	LPBYTE m_pBmpData;
	CxImage m_Ximage;

	// Generated message map functions
	//{{AFX_MSG(CAviSearchingTimeDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpen();
	afx_msg void OnCustomdrawSlider1(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AVISEARCHINGTIMEDLG_H__4B26BDDA_CEBA_44B0_B0FF_86D7B250C993__INCLUDED_)
